org.eclipse.net4j.util.ui

## Class DefaultActionFilter<RECEIVER>

- java.lang.Object
- - org.eclipse.net4j.util.ui.DefaultActionFilter<RECEIVER>

- All Implemented Interfaces:
    IActionFilter

      public class DefaultActionFilter<RECEIVER>
      extends Object
      implements IActionFilter

  Since:
    3.4
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultActionFilter(IPropertyProvider<RECEIVER> provider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `testAttribute(Object target, String name, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultActionFilter

          public DefaultActionFilter(IPropertyProvider<RECEIVER> provider)

  - ### Method Detail

    - #### testAttribute

          public boolean testAttribute(Object target,
                                       String name,
                                       String value)

      Specified by:
        `testAttribute` in interface `IActionFilter`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html